--- title: "Get the User Details" slug: "get-the-user-details" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:34:39Z published: 2026-09-23T09:34:39Z canonical: "docs.trellix.com/get-the-user-details" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the User Details These URL's retrieve the details of the user with the user id passed as parameter. ## Resource URL GET /user/ {userId}: This URL is to retrieve the details of user with the given user id. ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | userId | Unique identifier of an user | String | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | userCredentials | This field contains the user id and password details of the user. | Object | | userDetails | This field contains general details like name, contact, etc. for a user. | Object | | roleAssignment | This field contains the details about the domain and role. | Object | | dashBoardAssignment | This field contains the details of the dash boards assigned to the user. | Object | Details of userCredentials: | Field Name | Description | Data Type | | --- | --- | --- | | loginID | Unique identifier for a user | String | | password | Secret key required to login. Its value will not be visible as it is confidential and should only be known to the user. | String | Details of userDetails: | Field Name | Description | Data Type | | --- | --- | --- | | firstAndLastName | First and last name of the user | String | | email | Email address of the user | String | | company | Company of the user | String | | phone | Contact number of the user | String | | address | Address of the user | Object | | state | State to which the user belongs to | String | | country | Country to which the user belongs to | String | Details of address: | Field Name | Description | Data Type | | --- | --- | --- | | address1 | Address line 1 - Contains one segment of the user's address | String | | address2 | Address line 2 - Contains other segment of the user's address | String | Details of roleAssignment: | Field Name | Description | Data Type | | --- | --- | --- | | domainId | The domain in which the user was created | String | | role | This field contains the information regarding the role assigned to the user. It can have any value from the list of roles already defined in the Manager, i.e. - ePO dashboard data retriever - NOC operator - Report generator - Security expert - Super user - System administrator - No role > [!NOTE] > Note > > In addition to the above mentioned roles, the user can also be assigned a custom created role. | String | Details of dashBoardAssignment: | Field Name | Description | Data Type | | --- | --- | --- | | dashBoardList | List of all the dashboards to be assigned to user | Array | ## Example **Request** GET [https:///sdkapi/user/1](https://%3CNSM_IP%3E/sdkapi/user/1) **Response** ``` {   "userCredentials": {     "loginID": "admin",     "password": ""   },   "userDetails": {     "firstAndLastName": "Administrator",     "email": "Administrator Email",     "company": "",     "phone": "",     "address": {       "address1": "",       "address2": ""     },     "state": "",     "country": ""   },   "roleAssignment": {     "domainId": 0,     "role": "Super User"   }, "dashBoardAssignment": { "dashBoardList": ["Dashboard_1","Dashboard_2"] } } ```   ## Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 5110 | Invalid user id |